GET Attachments/ByLastModifiedDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning last modified date of the attachments to retrieve |
date |
None. |
| endDate |
Ending last modified date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "920abe32-44f9-4af1-8fc7-fdf99b03ffa0",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "f647b7f1-4ca6-4763-8b42-b4939bdeb74d",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "5fdd7d52-707e-4bbc-8b8c-86663af8fd0f",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "d718313d-3b84-42cc-ab6c-0a8aff256d0b",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "626507ca-1842-48df-ad1c-13a55031d2f3",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "3711a936-7119-431a-96d1-af7e88b691f1",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "aed02270-cfcf-4818-9e5a-5f1ca9ca7064",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"MeasurementValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "c200568b-bf41-4a15-ac6c-c72a903366ae",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"MeasurementValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "f7541b36-6a77-41aa-9801-9da88485f8df",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-08T19:46:51.0978491-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "21f6f359-0599-49ed-8da3-75e5dc731707",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "920abe32-44f9-4af1-8fc7-fdf99b03ffa0",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "f647b7f1-4ca6-4763-8b42-b4939bdeb74d",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "5fdd7d52-707e-4bbc-8b8c-86663af8fd0f",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "d718313d-3b84-42cc-ab6c-0a8aff256d0b",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "626507ca-1842-48df-ad1c-13a55031d2f3",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "3711a936-7119-431a-96d1-af7e88b691f1",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "aed02270-cfcf-4818-9e5a-5f1ca9ca7064",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"MeasurementValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"SourceSystemId": "sample string 3",
"CompanyId": "c200568b-bf41-4a15-ac6c-c72a903366ae",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"MeasurementValueNeededDate": "2026-11-08T19:46:51.0978491-08:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "f7541b36-6a77-41aa-9801-9da88485f8df",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-11-08T19:46:51.0978491-08:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "21f6f359-0599-49ed-8da3-75e5dc731707",
"CreateDate": "2026-11-08T19:46:51.0978491-08:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-11-08T19:46:51.0978491-08:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}